Skip to main content
DELETE
/
management
/
clients
/
{clientId}
/
banks
/
{bankId}
curl -X DELETE "https://api.cryptomate.me/management/clients/client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/banks/ba_abc123" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "id": "ba_abc123",
  "company_id": "comp_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
  "client_id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "bank_name": "Chase Bank",
  "bank_holder_name": "John Michael Doe",
  "account_alias": "Primary Checking",
  "type": "ACH",
  "currency": "USD",
  "account_number": "123456789",
  "routing_number": "021000021",
  "account_type": "checking"
}
Removes a bank account from the client’s profile. Requires an API key with access level 3 or higher.

Path parameters

clientId
string
required
Unique identifier of the client.
bankId
string
required
Unique identifier of the bank account to delete.

Response

Returns the deleted bank account. See Create US bank account for the field list.
curl -X DELETE "https://api.cryptomate.me/management/clients/client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/banks/ba_abc123" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "id": "ba_abc123",
  "company_id": "comp_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
  "client_id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "bank_name": "Chase Bank",
  "bank_holder_name": "John Michael Doe",
  "account_alias": "Primary Checking",
  "type": "ACH",
  "currency": "USD",
  "account_number": "123456789",
  "routing_number": "021000021",
  "account_type": "checking"
}